QXmppMixInfoItem Class Reference
Stanzas

The QXmppMixInfoItem class represents a PubSub item of a MIX channel containing channel information as defined by XEP-0369: Mediated Information eXchange (MIX). More...

`#include <QXmppMixItem.h>`

## Public Member Functions

| QXmppMixInfoItem (const QXmppMixInfoItem &)
QXmppMixInfoItem & | operator= (const QXmppMixInfoItem &)
QString | name () const
void | setName (const QString &)
| Sets the name of the channel.
QString | description () const
| Returns the description of the channel. This string might be very long.
void | setDescription (const QString &)
| Sets the longer channel description.
QStringList | contactJids () const
| Returns a list of JIDs that are responsible for this channel.
void | setContactJids (const QStringList &)
| Sets a list of public JIDs that are responsible for this channel.
void | parse (const QXmppElement &itemContent)
QXmppElement | toElement () const

## Static Public Member Functions

static bool | isMixChannelInfo (const QDomElement &)
| Returns true, if the given dom element is a MIX channel info item.

## Detailed Description

The QXmppMixInfoItem class represents a PubSub item of a MIX channel containing channel information as defined by XEP-0369: Mediated Information eXchange (MIX).

Since
  QXmpp 1.1

## Member Function Documentation

## name()

QString QXmppMixInfoItem::name | ( |  | ) | const

Returns the user-specified name of the MIX channel. This is not the name part of the channel's JID.

The documentation for this class was generated from the following files:

- QXmppMixItem.h
- QXmppMixItem.cpp